org.eclipse.gef4.dot.internal.dot.export

## Class DotTemplate

- java.lang.Object
- - org.eclipse.gef4.dot.internal.dot.export.DotTemplate

    public class DotTemplate
    extends java.lang.Object

### Field Summary

Fields
`protected static java.lang.String` `nl`
`java.lang.String` `NL`
`protected java.lang.String` `TEXT_1`
`protected java.lang.String` `TEXT_10`
`protected java.lang.String` `TEXT_11`
`protected java.lang.String` `TEXT_12`
`protected java.lang.String` `TEXT_13`
`protected java.lang.String` `TEXT_14`
`protected java.lang.String` `TEXT_15`
`protected java.lang.String` `TEXT_16`
`protected java.lang.String` `TEXT_17`
`protected java.lang.String` `TEXT_18`
`protected java.lang.String` `TEXT_2`
`protected java.lang.String` `TEXT_3`
`protected java.lang.String` `TEXT_4`
`protected java.lang.String` `TEXT_5`
`protected java.lang.String` `TEXT_6`
`protected java.lang.String` `TEXT_7`
`protected java.lang.String` `TEXT_8`
`protected java.lang.String` `TEXT_9`

### Constructor Summary

Constructors
Constructor and Description
`DotTemplate()`

### Method Summary

Methods
`static DotTemplate` `create(java.lang.String lineSeparator)`
`java.lang.String` `generate(java.lang.Object argument)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### nl

    protected static java.lang.String nl

#### NL

    public final java.lang.String NL

#### TEXT_1

    protected final java.lang.String TEXT_1

See Also:
  Constant Field Values

#### TEXT_2

    protected final java.lang.String TEXT_2

#### TEXT_3

    protected final java.lang.String TEXT_3

See Also:
  Constant Field Values

#### TEXT_4

    protected final java.lang.String TEXT_4

#### TEXT_5

    protected final java.lang.String TEXT_5

#### TEXT_6

    protected final java.lang.String TEXT_6

#### TEXT_7

    protected final java.lang.String TEXT_7

#### TEXT_8

    protected final java.lang.String TEXT_8

See Also:
  Constant Field Values

#### TEXT_9

    protected final java.lang.String TEXT_9

#### TEXT_10

    protected final java.lang.String TEXT_10

#### TEXT_11

    protected final java.lang.String TEXT_11

#### TEXT_12

    protected final java.lang.String TEXT_12

#### TEXT_13

    protected final java.lang.String TEXT_13

See Also:
  Constant Field Values

#### TEXT_14

    protected final java.lang.String TEXT_14

See Also:
  Constant Field Values

#### TEXT_15

    protected final java.lang.String TEXT_15

See Also:
  Constant Field Values

#### TEXT_16

    protected final java.lang.String TEXT_16

See Also:
  Constant Field Values

#### TEXT_17

    protected final java.lang.String TEXT_17

#### TEXT_18

    protected final java.lang.String TEXT_18

### Constructor Detail

#### DotTemplate

    public DotTemplate()

### Method Detail

#### create

    public static DotTemplate create(java.lang.String lineSeparator)

#### generate

    public java.lang.String generate(java.lang.Object argument)